Bug 589176 - [abrt] crash in policycoreutils-python-2.0.82-13.fc13: shutil.py:177:copytree:Error: [('/home/CyrusHMH/.config/google-chrome/SingletonSocket', '/home/CyrusHMH/.sandbox/.sandboxlghfq9/.config/google-chrome/SingletonSocket', "[Errno 6] No such device or add
Summary: [abrt] crash in policycoreutils-python-2.0.82-13.fc13: shutil.py:177:copytree...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils   
(Show other bugs)
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:63cc5c15
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-05 15:14 UTC by cyrushmh
Modified: 2010-05-21 04:04 UTC (History)
2 users (show)

Fixed In Version: policycoreutils-2.0.82-18.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 21:45:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.01 KB, text/plain)
2010-05-05 15:14 UTC, cyrushmh
no flags Details

Description cyrushmh 2010-05-05 15:14:17 UTC
abrt 1.1.0 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/python -E /usr/bin/sandbox -X -i /opt -i /etc -i /usr -i /etc -i /home/CyrusHMH/.config -t sandbox_net_t google-chrome
component: policycoreutils
executable: /usr/bin/sandbox
kernel: 2.6.33.3-72.fc13.i686.PAE
package: policycoreutils-python-2.0.82-13.fc13
reason: shutil.py:177:copytree:Error: [('/home/CyrusHMH/.config/google-chrome/SingletonSocket', '/home/CyrusHMH/.sandbox/.sandboxlghfq9/.config/google-chrome/SingletonSocket', "[Errno 6] No such device or address: '/home/CyrusHMH/.config/google-chrome/SingletonSocket'")]
release: Fedora release 13 (Goddard)

Comment 1 cyrushmh 2010-05-05 15:14:22 UTC
Created attachment 411647 [details]
File: backtrace

Comment 2 Daniel Walsh 2010-05-11 20:08:19 UTC
Fixed in policycoreutils-2.0.82-16.fc13

Comment 3 Fedora Update System 2010-05-11 20:34:25 UTC
policycoreutils-2.0.82-17.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/policycoreutils-2.0.82-17.fc13

Comment 4 cyrushmh 2010-05-12 04:03:30 UTC
(In reply to comment #2)
> Fixed in policycoreutils-2.0.82-16.fc13    

(In reply to comment #3)
> policycoreutils-2.0.82-17.fc13 has been submitted as an update for Fedora 13.
> http://admin.fedoraproject.org/updates/policycoreutils-2.0.82-17.fc13    

I try ,but they don't push in updates or updates-testing

Comment 5 Fedora Update System 2010-05-12 12:20:23 UTC
policycoreutils-2.0.82-17.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update policycoreutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/policycoreutils-2.0.82-17.fc13

Comment 6 cyrushmh 2010-05-13 03:30:29 UTC
I update 
rpm -qa policycoreutils
policycoreutils-2.0.82-17.fc13.i686

thank you

Comment 7 cyrushmh 2010-05-13 10:37:13 UTC
Package: policycoreutils-python-2.0.82-17.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.sandbox -X.............
2.
3.

Comment 8 cyrushmh 2010-05-13 10:37:36 UTC
Package: policycoreutils-python-2.0.82-17.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.sandbox -X.............
2.
3.

Comment 9 Daniel Walsh 2010-05-13 12:59:59 UTC
Try again with policycoreutils-python-2.0.82-18.fc13

Comment 10 cyrushmh 2010-05-14 06:20:07 UTC
I yum --enablerepo=updates-testing update


than no packages to update........

Comment 11 Fedora Update System 2010-05-15 20:19:39 UTC
policycoreutils-2.0.82-18.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update policycoreutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/policycoreutils-2.0.82-18.fc13

Comment 12 Fedora Update System 2010-05-18 21:45:24 UTC
policycoreutils-2.0.82-18.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 cyrushmh 2010-05-19 06:45:00 UTC
can not use "sandbox -X -t sandbox_web_t firefox" now

Comment 14 cyrushmh 2010-05-19 06:47:43 UTC
[cyrushmh@localhost ~]$ sandbox -X -t sandbox_web_t firefox http://0rz.tw/3jfzi
[cyrushmh@localhost ~]$ 
^
^only like this

Comment 15 Daniel Walsh 2010-05-19 12:53:19 UTC
cyrushmh 

I do not know what you mean?


Are you saying you need to run with a target, 

sandbox -X -t sandbox_web_t firefox 
breaks
and 

sandbox -X -t sandbox_web_t firefox http://0rz.tw/3jfzi
works?

How about 

sandbox -X -t sandbox_web_t -W metacity firefox

Comment 16 cyrushmh 2010-05-19 14:45:52 UTC
(In reply to comment #15)
> cyrushmh 
> 
> I do not know what you mean?
I mean don't work at sandbox from I update
> 
> 
> Are you saying you need to run with a target, 
> 
> sandbox -X -t sandbox_web_t firefox 
> breaks
> and 
> 
don't work
> sandbox -X -t sandbox_web_t firefox http://0rz.tw/3jfzi
> works?
> 
don't work
> How about 
not print at gnome-terminal
> 
> sandbox -X -t sandbox_web_t -W metacity firefox    
 don't work

Comment 17 Daniel Walsh 2010-05-19 17:47:46 UTC
Does 

sandbox -X xterm 

work?

When it breaks, what happens?

Comment 18 cyrushmh 2010-05-20 00:42:24 UTC
(In reply to comment #17)
> Does 
> 
> sandbox -X xterm 
I don have xterm, now only gnome-terminal
> 
> work?
....don't work
> 
> When it breaks, what happens?    
when update to policycoreutils-2.0.82-17.fc13 then can't use sandbox...

now my policycoreutils is policycoreutils-2.0.82-18.fc13.i686

Comment 19 Daniel Walsh 2010-05-20 14:00:43 UTC
Does it throw an error?  Does a window appear for a second?

Comment 20 cyrushmh 2010-05-21 04:04:43 UTC
(In reply to comment #19)
> Does it throw an error?  Does a window appear for a second?    
first not,but when I type long command about sandbox then print this info:
sandbox:87:copyfile:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/bin/sandbox", line 409, in <module>
    rc = sandbox.main()
  File "/usr/bin/sandbox", line 396, in main
    self.__setup_dir()
  File "/usr/bin/sandbox", line 354, in __setup_dir
    self.__copyfiles()
  File "/usr/bin/sandbox", line 204, in __copyfiles
    copyfile(f, homedir, self.__homedir)
  File "/usr/bin/sandbox", line 87, in copyfile
    print e[1]
IndexError: list index out of range


second nothing .....


Note You need to log in before you can comment on or make changes to this bug.